<%inherit file="../base.mako"/>
<%def name="title()">${_(u"List of Results")}</%def>

<%def name="result_menu_style()">class="active"</%def>

<%namespace file="../base.mako" import="box_start" />
<%namespace file="../base.mako" import="box_end" />


${box_start(_(u"Results by..."))}
%if len(c.resulttypes):
 <ul>
 %for rt in c.resulttypes:
   <li>${h.link_to(rt.type_name, h.url_for(controller='result',action='by_type',id=rt.id))}
      %if str(c.result_type_filter_id) == str(rt.id):
        (${_(u"Selected")})
      %endif
    </li>
  %endfor
   <li>${h.link_to(_(u"All"), h.url_for(controller='result',action='index'))}</li>
 </ul>
%else:
 ${_(u"No ResultTypes specified.")}
%endif
${box_end()}


${box_start(_(u"Results"))}
%if len(c.result_paginator):
 <p>${c.result_paginator.pager('$link_first $link_previous $first_item to $last_item of $item_count $link_next $link_last')}</p>
 <ul>
  %for result in c.result_paginator:
    <li>${h.link_to(result.url.url, h.url_for(controller='result',action='view',id=result.id))}: ${result.text}</li>
  %endfor
 </ul>
 ${c.result_paginator.pager('~2~')}
%else:
 ${_(u"No results yet.")}
%endif
${box_end()}

